[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#320205: marked as done (debian-cd: Don't require source mirror for building only binaries)



Your message dated Sun, 08 Oct 2006 06:47:29 -0700
with message-id <E1GWZ05-00006z-Ny@spohr.debian.org>
and subject line Bug#320205: fixed in debian-cd 2.2.25
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: debian-cd
Severity: wishlist
Tags: patch

The attached patch allows to build only binary CDs without having sources 
on the local mirror.

In the current build.sh script, 'make list' is always called which fails 
if there are no sources on the mirror. The new version allows to set 
NOSOURCE which makes sure that both bin-lists and bin-official_images are 
called.

The old envvar IMAGETARGET is still supported for backwards compatibility 
and should result in the old behavior.

Index: build.sh
===================================================================
--- build.sh	(revision 891)
+++ build.sh	(working copy)
@@ -55,8 +55,18 @@
 done
 
 FULL_SIZE=`echo "($DEFSRCSIZE - $size) * 1024 * 1024" | bc`
-make list $SIZE_ARGS SRCSIZELIMIT=$FULL_SIZE
+
+LISTTARGET="list"
+if [ -n "$NOSOURCE" ] ; then
+    LISTTARGET="bin-list"
+fi
+make $LISTTARGET $SIZE_ARGS SRCSIZELIMIT=$FULL_SIZE
+
 echo " ... building the images"
+# Setting IMAGETARGET directly is deprecated; NOSOURCE is preferred
+if [ -n "$NOSOURCE" ] ; then
+    IMAGETARGET="bin-official_images"
+fi
 if [ -z "$IMAGETARGET" ] ; then
     IMAGETARGET="official_images"
 fi
Index: CONF.sh
===================================================================
--- CONF.sh	(revision 891)
+++ CONF.sh	(working copy)
@@ -20,6 +20,7 @@
 unset MKISOFS_OPTS      || true
 unset ISOLINUX          || true
 unset EXCLUDE           || true
+unset NOSOURCE          || true
 unset SRCEXCLUDE        || true
 unset NORECOMMENDS      || true
 unset NOSUGGESTS        || true
@@ -175,6 +176,11 @@
 # We also exclude some source packages
 #export SRCEXCLUDE="$BASEDIR"/tasks/exclude-src-potato
 
+# Set this if building source packages CDs should be skipped.
+# You won't need source packages on your local mirror in that case.
+# (Setting IMAGETARGET is now deprecated, though still supported.)
+#export NOSOURCE=1
+
 # Set this if the recommended packages should be skipped when adding 
 # package on the CD.  The default is 'false'.
 export NORECOMMENDS=1
@@ -281,11 +287,6 @@
 # If set, overrides the boot picture used.
 #export SPLASHPNG="$BASEDIR/data/$CODENAME/splash-img.png"
 
-# Used by build.sh to determine what to build, this is the name of a target
-# in the Makefile. Use bin-official_images to build only binary CDs. The
-# default, official_images, builds everything.
-#IMAGETARGET=official_images
-
 # Set to 1 to save space by omitting the installation manual. 
 # If so the README will link to the manual on the web site.
 #export OMIT_MANUAL=1

Attachment: pgp8BtF46VbJi.pgp
Description: PGP signature


--- End Message ---
--- Begin Message ---
Source: debian-cd
Source-Version: 2.2.25

We believe that the bug you reported is fixed in the latest version of
debian-cd, which is due to be installed in the Debian FTP archive:

debian-cd_2.2.25.dsc
  to pool/main/d/debian-cd/debian-cd_2.2.25.dsc
debian-cd_2.2.25.tar.gz
  to pool/main/d/debian-cd/debian-cd_2.2.25.tar.gz
debian-cd_2.2.25_all.deb
  to pool/main/d/debian-cd/debian-cd_2.2.25_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 320205@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated debian-cd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  8 Oct 2006 14:46:48 +0200
Source: debian-cd
Binary: debian-cd
Architecture: source all
Version: 2.2.25
Distribution: unstable
Urgency: low
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 debian-cd  - Tools for building (Official) Debian CD set
Closes: 312604 320205 327470 373225 378977 384064 387255
Changes: 
 debian-cd (2.2.25) unstable; urgency=low
 .
   [ Joey Hess ]
   * Remove net-drivers access floppy from full CD images.
 .
   [ Frans Pop ]
   * Consistently change location for installation guide to /doc/manual
     on the CD.
   * Update author (and timestamp) in README.
   * Colin Watson has taken over daily d-i builds for PowerPC.
 .
   [ Steve McIntyre ]
   * Fix to tools/grab_md5: when building the md5-list, DO NOT use the
     "current" symlink in the d-i directories - that causes jigdo problems
     later on. Use the real dirs (as dated) instead.
 .
   [ Frans Pop ]
   * Remove exclusion of openbsd-inetd for Etch as it is now the prefered
     dependency from netbase. For some reason debootstrap requires both inetd
     packages, so don't exclude netkit-inetd.
     Makes full/netinst images have base_installable again.
   * Thiemo Seufer has resumed building images for mips.
 .
   [ Colin Watson ]
   * Only tell mkisofs to use the prep initrd if it's available (which it
     currently isn't for 2.6.16).
 .
   [ Steve McIntyre ]
   * Fix to tools/grab_md5: reset the file and dir name after each source
     package is finished with.
   * Add extra debug in tools/boot/etch/boot-i386
 .
   [ Joey Hess ]
   * ths has taken over mipsel builds
   * Add sudo to generate_di+k_list, it's needed for installs w/o a root user.
   * Add support to boot/etch/boot-i386 for adding gtk images. If the
     isolinux files include .with26+gtk, include gtk initrd along with the
     2.4 kernel. If .withgtk, include gtk initrd along with the default
     (presumably 2.6) kernel.
   * i386 has stopped building because the el-torito boot images were turned
     off (due to size issues). Fix this by not failing if the el-torito images
     arn't there.
   * d-i doesn't include bast images anymore, drop from boot-arm.
   * Update task.list adding more language tasks.
   * Update task-essential-etch build recipe to exclude the kde-desktop
     task since it won't fit on the CD.
   * Move kde-desktop to end of task.list for same reason.
   * Update task-full-etch to current tasksel.
 .
   [ Steve McIntyre ]
   * Add better GNU/kFreeBSD support in setting ARCH in CONF.sh.
     Closes: #327470
 .
   [ Joey Hess ]
   * Applied patch from smarenka to add 2.6 kernels for m68k, also 2.4 kernels
     for appropriate m68k subarches, and also emile, amiboot, atari-bootstrap,
     and initramfs-tools for m68k.
 .
   [ Steve McIntyre ]
   * Add extra arm kernels and more utilities into the task lists.
     Closes: #373225
 .
   [ Joey Hess ]
   * Correct url to the amd64 dailys.
   * Add gtk initrd to amd64 images if available.
   * Add autorun file to amd64 images if there's a README.html, same as for
     i386.
   * Add pcmciautils-udeb to udeb_include lists; something needs to pull it
     in and like pcmcia-cs-udeb its priority won't.
 .
   [ Frans Pop ]
   * Wouter Verhelst has taken over daily d-i builds for powerpc.
   * AMD64 d-i images are now available from people.d.o.
   * Add cryptsetup to first CD; needed for installations using encrypted
     partitions.
 .
   [ Joey Hess ]
   * Add 686 kernels, since the netinst CD is much larger and can now easily
     fit them and this makes the CD much more attractive for many users.
 .
   [ Frans Pop ]
   * Drop 2.4 support for sparc64; switch from 2.4 to 2.6 for sparc32.
   * Exclude 2.4 kernel udebs for sparc and s/390 (s/390 has switched to 2.6).
   * Include only 2.6 kernel images for sparc.
   * Update to libdevmapper1.02.
   * No need to include yaird for m68k.
   * Drop initrd-tools for ia64, powerpc and sparc.
   * Include initramfs-tools instead of yaird for ia64 and sparc.
   * No initramfs generator needed for mips, mipsel and m68k.
 .
   [ Steve McIntyre ]
   * Switch from 2.4 to 2.6 kernels for arm, mips and mipsel.
   * Switch from yaird over to initramfs-tools for arm.
   * Much simplified generate_di+k_list - mips and mipsel don't need script
     fragments any more.
   * Added elilo for i386.
 .
   [ Joey Hess ]
   * Update task-essential-etch.
   * Update task.list to include all the new language tasks.
   * Update task-full-etch.
 .
   [ Steve McIntyre ]
   * Mips has dropped r5k-ip22 kernels and gained r5k-ip32. And r5k-ip32
     doesn't have CD boot support yet, so don't attempt to use the cdrom
     boot image.
 .
   [ Frans Pop ]
   * There are no "tape" images with 2.6.16 for S/390.
   * Exclude floppy and el-torito images for i386 as they are not being built.
   * Update exclude-udebs lists.
   * Exclude 2.4.27 kernel packages from CD1 for sparc and s/390.
   * Exclude 2.6.15 kernel header and image packages from CD1.
   * Exclude 2.6.16 xen and vserver kernel  packages from CD1.
   * Update generate_di+k_list to include libsysfs2.
   * Update popularity contest data for etch.
   * Update generate_di+k_list to include libdiscover1.
 .
   [ Petter Reinholdtsen ]
   * Add more features to get_diskusage.pl, making it easier to track
     dependencies and rejected packages.
   * Correct splash screen generation for sarge and etch, making sure the
     correct background colour (black) is selected.
 .
   [ Steve McIntyre ]
   * Try to fix the "unofficial development version" bug on official CDs.
 .
   [ Joey Hess ]
   * Include libc6-i686 in generate_di+k_list, base-installer will
     soon begin installing this onto machines that can use it.
     (To regain some space, libc6-amd64 will soon stop being standard priority,
     and drop off.)
   * On sparc, include libc6-sparcv9 and libc6-sparcv9b, which base-installer
     will also pull in.
 .
   [ Colin Watson ]
   * Cope with cdrom64 -> cdrom renaming for powerpc64 subarchitecture.
 .
   [ Sven Luther ]
   * [powerpc] Added a rescue option to yaboot.conf as well as the pegasos boot
     script.
 .
   [ Colin Watson ]
   * Remove obsolete devfs=mount,dall and init=/linuxrc options from
     yaboot.conf and pegasos boot script.
   * Remove init=/linuxrc from hppa.
 .
   [ Otavio Salvador ]
   * Applied patches that are being in use at O.S. Systems and that are
     useful to others:
     - allow to use different name for final iso image;
     - allow to set the script to be used in debootstrap to check if all
       base need package are present.
 .
   [ Frans Pop ]
   * Introduce new environment variable NOSOURCE that allows to build CD images
     using a local mirror that does not contain source files. This new variable
     obsoletes setting IMAGETARGET, though that is still supported for
     backwards compatibility. Closes: #320205.
 .
   [ Steve McIntyre ]
   * Update the suggested DVD size in CONF.sh to a saner number
   * Re-sync CONF.sh over debian/CONF.sh
   * Minor changes to README.html.in and generation of README.html:
     cope with unofficial, official beta and official release CDs
     better. Let's not repeat the sarge mistake. Closes: #312604
   * Trivial updates to update-cd
 .
   [ Frans Pop ]
   * Update base-etch and popularity-contest-etch in tasks.
   * Update task-full-etch and task-essential-etch in tasks.
 .
   [ Steve McIntyre ]
   * Update Dependencies to allow installation/use on GNU/kFreeBSD. Thanks
     to Petr Salinger for the patch. Closes: #378977
   * Fix KERNEL_PARAM breakage. Thanks to Vagrant Cascadian for the patch,
     closes: #387255
   * Removed reference to obsolete "mirrorcheck" target in the README
     file. Closes: #384064.
   * s/sarge/etch/ and s/3.1/3.2/ in CONF.sh
   * Last upload ready for the etch release (hopefully)
Files: 
 cdf2def7ed158b96991b2b0587eb98f4 677 admin extra debian-cd_2.2.25.dsc
 c538081725c279185e00ad19c36dd3ab 682709 admin extra debian-cd_2.2.25.tar.gz
 130bad8b99f2b419cb36276ebb4a9ade 689314 admin extra debian-cd_2.2.25_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFFKPwNfDt5cIjHwfcRApFZAKCyifkdUafrjEgoJVVEx8m+2CmzkQCePtU8
Fy2Ue3XOUT6B1bU2j2cwgNI=
=rHEM
-----END PGP SIGNATURE-----


--- End Message ---

Reply to: